<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
    
     <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    
    
    <style>
        .fondo{
            width: 100%;
            height: 100vh;
            background: url('https://st2.depositphotos.com/1278966/5506/i/950/depositphotos_55062177-stockafbeelding-blauwe-handgemaakte-nummers-wiskundige-achtergrond.jpg');
            background-size: cover;
        }
        
        .contenedor-c{
            width: 30%;
 
            padding:20px 20px;
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%,-50%);
            background: rgba(255, 226, 0, 0.81);
            box-shadow: 2px 10px 10px gray;
            border-radius: 4px;
        }
        
        .lbl-cont{
            text-align: center;
        }
    </style>
</head>
<body>
    
    <div class="container-fluid fondo" >
        <div class="row">
            <div class=" contenedor-c" >
                <div class="text-center">
                    <label class="lbl-cont ">Caracteres: <span id="contador" class="text-center"> 0</span></label>
                </div>
                <div>
                    <textarea class="form-control" id="texto"></textarea>
                </div>         
            </div>
           
        </div>
    </div>
    <script>        
        var total =250;
        
        var texto=document.getElementById('texto');
        
        texto.addEventListener('input',contarcaracteres)
        
        function contarcaracteres (){
            var respuesta=document.getElementById('contador');
            
                var cantidad=texto.value.length;
                document.getElementById('contador').innerHTML = cantidad;
            
            
            if(cantidad > total){
                respuesta.style.color = "red";
                alert("has sobrepasado el limite");
            }
            else{
                respuesta.style.color = "black";
            }
        }
        
        
        
        
        
    </script>
</body>
</html>